import 'package:flutter/material.dart';
import 'package:turquessa_mesas_hoster/core/models/categoria_model.dart';

class CategoriasGrid extends StatefulWidget {
  const CategoriasGrid({super.key});

  @override
  State<CategoriasGrid> createState() => _CategoriasGridState();
}

class _CategoriasGridState extends State<CategoriasGrid> {
  List<Categoria> categorias = [
    Categoria(
      id: 1,
      nombre: 'Bebidas',
      venta: 100,
      verEnCaja: true,
      destacada: true,
      maximo: 10,
      esToping: 0,
      creado: '2023-01-01',
      modificado: '2023-01-02',
      eliminado: null,
    ),
    Categoria(
      id: 2,
      nombre: 'Comidas',
      venta: 200,
      verEnCaja: true,
      destacada: false,
      maximo: 20,
      esToping: 0,
      creado: '2023-01-03',
      modificado: '2023-01-04',
      eliminado: null,
    ),
    Categoria(
      id: 3,
      nombre: 'Postres',
      venta: 50,
      verEnCaja: false,
      destacada: true,
      maximo: 5,
      esToping: 1,
      creado: '2023-01-05',
      modificado: '2023-01-06',
      eliminado: null,
    ),
  ];

  @override
  Widget build(BuildContext context) {
    return GridView.builder(
        gridDelegate: const SliverGridDelegateWithFixedCrossAxisCount(
          crossAxisCount: 6,
          childAspectRatio: 1.0,
          crossAxisSpacing: 10.0,
          mainAxisSpacing: 10.0,
        ),
        padding: const EdgeInsets.all(8),
        itemCount: 20,
        itemBuilder: (context, index) {
          return GestureDetector(
            //* agregar al Carrito
            // onTap: set,
            child: CategoriaCard(categoria: categorias[index]),
          );
        });
  }
}

class CategoriaCard extends StatelessWidget {
  final Categoria categoria;
  const CategoriaCard({super.key, required this.categoria});

  @override
  Widget build(BuildContext context) {
    return Card(
      child: Placeholder(),
    );
  }
}
